Ubuntu

linux: 2.6.32-33.72 -proposed tracker

Reported by Steve Conklin on 2011-07-29
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Canonical Kernel Team
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Kees Cook
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-33.72 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

kernel-stable-Prepare-package-start: Tuesday, 29. July 2011 15:31 UTC
kernel-stable-Promote-to-updates-end: Tuesday, 09. August 2011 21:40 UTC

Steve Conklin (sconklin) on 2011-07-29
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
status: In Progress → Invalid
Herton R. Krzesinski (herton) wrote :

Note: there is a new linux-backports-modules-2.6.32 that was copied to -proposed too. It isn't related to this update as we didn't had an ABI change, it was submitted before this. But it fixes an important issue (bug 814186).

Herton R. Krzesinski (herton) wrote :

This new release is succesfuly verified. There was only one bug to check (bug 811745), as this update is just for that regression.

Kees Cook (kees) wrote :

This is a non-security regression fix, so no security pocket copying will be needed.

Steve Conklin (sconklin) wrote :

From email:

There's a new Lucid in -proposed that was spun to fix a regression that
made it into -updates. Here's the bug:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/811745

I thought that the best option to fix this was to respin with a single
patch to fix, as we could get it out quickly without verification
and possibly with reduced testing. That would have it fall into this
week for testing, which is the normal kernel testing week anyway.

I discussed this with Kate in IRC last Friday, and at that time she
said that we would discuss it during Tuesday's meeting, and figure out
how it would fit with the A3 release . That meeting ended up being
Monday, and it wasn't discussed.

Next time, I won't defer passing information until a meeting, and I'll
send email to start with.

In this case, I think we'll be ok with QA only and not running
certification tests, as nothing we changed should affect cert.

Steve

Hardware Certification won't be testing this particular SRU kernel, as previously agreed.

C de-Avillez (hggdh2) wrote :

No regressions or errors observed by us. Tagging qa-testing-passed/Fix Released.

tags: added: qa-testing-passed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-33.72

---------------
linux (2.6.32-33.72) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #818196

  [ Upstream Kernel Changes ]

  * Revert "fix oops in scsi_run_queue()"
    - LP: #811745
  * Revert "put stricter guards on queue dead checks"
    - LP: #811745
 -- Steve Conklin <email address hidden> Fri, 29 Jul 2011 12:33:46 -0500

Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Copied to -updates.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2011-12-05
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers